/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.serialnum.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.sys.entity.Company;
import com.jeeplus.modules.sys.entity.Office;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;

/**
 * 编号模板Entity
 * @author ppt
 * @version 2018-05-16
 */
public class SerialNumTpl extends DataEntity<SerialNumTpl> {
	
	private static final long serialVersionUID = 1L;
	private Office company;		// 公司id
    @NotBlank(message = "业务类型不能为空")
	private String bizCode;		// 业务标识
	private Integer serialNum;		// 序列号
    @NotBlank(message = "编号模板信息不能为空")
	private String serialTpl;		// 编号模板
    @NotNull(message = "编号模板信息不能为空")
	private Integer serialNumLen;		// 序列号长度
    @NotBlank(message = "模板名称不能为空")
	private String tplName; //模板名称
	private String yearBuilt; //当前年份
	private String serialTplEx; //模板示例
    private Integer OldSerialNum;

	public SerialNumTpl() {
		super();
	}

	public SerialNumTpl(String id){
		super(id);
	}

	public Office getCompany() {
		return company;
	}

	public void setCompany(Office company) {
		this.company = company;
	}

	@ExcelField(title="业务标识", align=2, sort=6)
	public String getBizCode() {
		return bizCode;
	}

	public void setBizCode(String bizCode) {
		this.bizCode = bizCode;
	}
	
	@ExcelField(title="序列号", align=2, sort=12)
	public Integer getSerialNum() {
		return serialNum;
	}

	public void setSerialNum(Integer serialNum) {
		this.serialNum = serialNum;
	}
	
	@ExcelField(title="编号模板", align=2, sort=13)
	public String getSerialTpl() {
		return serialTpl;
	}

	public void setSerialTpl(String serialTpl) {
		this.serialTpl = serialTpl;
	}

	public Integer getSerialNumLen() {
		return serialNumLen;
	}

	public void setSerialNumLen(Integer serialNumLen) {
		this.serialNumLen = serialNumLen;
	}

	public String getTplName() {
		return tplName;
	}

	public void setTplName(String tplName) {
		this.tplName = tplName;
	}

	public String getYearBuilt() {
		return yearBuilt;
	}

	public void setYearBuilt(String yearBuilt) {
		this.yearBuilt = yearBuilt;
	}

    public String getSerialTplEx() {
        return serialTplEx;
    }

    public void setSerialTplEx(String serialTplEx) {
        this.serialTplEx = serialTplEx;
    }

    public Integer getOldSerialNum() {
        return OldSerialNum;
    }

    public void setOldSerialNum(Integer oldSerialNum) {
        OldSerialNum = oldSerialNum;
    }
}